lpstat(1)

NOM
lpstat - Afficher l'état de CUPS

SYNOPSIS
lpstat [ -h nom_hôte[:port] ] [ -E ] [ -H ] [ -U identifiant ] [ -l ] [ -W quels_travaux ] [ -a [ destination(s) ] ] [ -c [ classe(s) ] ] [ -d ] [ -e ] [ -o [ destination(s) ] ] [ -p [ imprimante(s) ] ] [ -r ] [ -R ] [ -s ] [ -t ] [ -u [ utilisateur(s) ] ] [ -v [ imprimante(s) ] ]

DESCRIPTION
lpstat affiche l'état des classes, travaux et imprimantes. Quand lpstat est lancé sans argument, la liste des travaux en attente de l'utilisateur est affichée.

OPTIONS
lpstat accepte les options suivantes :

-E  Obliger un chiffrement lors de la connexion au serveur.

-H  Afficher le nom d’hôte du serveur et son port.

-R  Afficher le rang des travaux d'impression.

-U identifiant
    Utiliser un autre identifiant.

-W quels_travaux
    Specifies which jobs to show, "all", "successful", "completed" or "not-completed" (the default). This option must appear before the -o option and/or any printer names, otherwise the default ("not-completed") value will be used in the request to the scheduler.

-a [imprimante(s)]
    Afficher si les files d'attente des imprimantes acceptent des travaux d'impression. Si aucune imprimante n'est fournie sur la ligne de commande, toutes les imprimantes sont prises en compte.

-c [classe(s)]
    Afficher les classes d'imprimantes et les imprimantes associées. Si aucune classe n'est fournie sur la ligne de commande, toutes les classes sont affichées.

-d  Afficher la destination par défaut.

-e  Afficher toutes les destinations disponibles sur le réseau local.

-h serveur[:port]
    Indiquer un serveur de remplacement. Remarque : cette option doit se présenter avant toutes autres.

-l  Afficher une liste détaillée des imprimantes, classes et travaux d'impression.

-o [destination(s)]
    Afficher la file d'attente des travaux des destinations indiquées. Si aucune destination n'est fournie sur la ligne de commande, tous les travaux sont affichés.

-p [imprimante(s)]
    Afficher les imprimantes et indiquer si elles sont prêtes ou non à l'impression. Si aucune imprimante n'est fournie sur la ligne de commande, toutes les imprimantes sont listées.

-r  Afficher si le serveur CUPS est actif.

-s  Afficher un résumé de l'état, comprenant la destination par défaut, la liste des classes et leurs imprimantes associées, la liste des imprimantes et leurs périphériques associés. Cela est équivalent à utiliser les options -d, -c et -p.

-t  Afficher toutes les informations d’état. Cela peut être effectué en utilisant les options -r, -d, -c, -v, -a, -p et -o.

-u [utilisateur(s)]
    Afficher les travaux d'impression en attente pour un utilisateur. Si aucun utilisateur n'est fourni sur la ligne de commande, afficher les travaux de l'utilisateur du moment.

-v [imprimante(s)]
    Afficher les imprimantes et à quel périphérique elles sont rattachées. Si aucune imprimante n'est fournie sur la ligne de commande, toutes les imprimantes sont affichées.

CONFORMITÉ
Contrairement au système d'impression System V, CUPS permet des noms d'imprimante contenant tout caractère imprimable sauf ESPACE, TABULATION, « / » et « # ». De plus, les noms d'imprimante et de classe d'imprimante ne sont pas sensibles à la casse.

Les options -h, -e, -E, -U et -W sont spécifiques à CUPS.

Les options -f, -P et -S de Solaris sont ignorées sans affichage.

VOIR AUSSI
cancel(1), lp(1), lpq(1), lpr(1), lprm(1), aide en ligne de CUPS <URL:http://localhost:631/help>

COPYRIGHT
Copyright © 2020-2024 by OpenPrinting.